Skip to content
Start here

Download Worker Script

client.Workers.Scripts.Get(ctx, scriptName, query) (*string, error)
GET/accounts/{account_id}/workers/scripts/{script_name}

Fetch raw content for a Worker script. Note this is the original script content, not JSON encoded.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
scriptName string

Name of the script.

query ScriptGetParams
AccountID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type ScriptGetResponse string

Download Worker Script

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/workers"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  script, err := client.Workers.Scripts.Get(
    context.TODO(),
    "this-is_my_script-01",
    workers.ScriptGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", script)
}
Returns Examples